package com.lightinit.hsdataplatform.model.admin;

/**
 * @Author: sunxiang
 * @Date: 2018/5/31 15:17
 * @Description:
 **/
public class DataCatelogListModel {

    private Long id;
    //目录类型
    private String catelogType;
    //信息资源代码
    private String dataCode;
    //信息资源名称
    private String dataName;
    //信息资源摘要
    private String dataSummary;
    //信息资源格式
    private String dataSource;
    private String dataSourceTypeString; //数据列表用的该数据

    //信息资源提供方
    private Long supplier;
    private String sectorName;              //提供方
    //数据资源分类
    private String catelogName;
    //信息项
    private String itemName;

    public String getDataSourceTypeString() {
        return dataSourceTypeString;
    }

    public void setDataSourceTypeString(String dataSourceTypeString) {
        this.dataSourceTypeString = dataSourceTypeString;
    }

    public String getSectorName() {
        return sectorName;
    }

    public void setSectorName(String sectorName) {
        this.sectorName = sectorName;
    }

    public String getCatelogName() {
        return catelogName;
    }

    public void setCatelogName(String catelogName) {
        this.catelogName = catelogName;
    }

    public String getItemName() {
        return itemName;
    }

    public void setItemName(String itemName) {
        this.itemName = itemName;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getCatelogType() {
        return catelogType;
    }

    public void setCatelogType(String catelogType) {
        this.catelogType = catelogType;
    }

    public String getDataCode() {
        return dataCode;
    }

    public void setDataCode(String dataCode) {
        this.dataCode = dataCode;
    }

    public String getDataName() {
        return dataName;
    }

    public void setDataName(String dataName) {
        this.dataName = dataName;
    }

    public String getDataSummary() {
        return dataSummary;
    }

    public void setDataSummary(String dataSummary) {
        this.dataSummary = dataSummary;
    }

    public String getDataSource() {
        return dataSource;
    }

    public void setDataSource(String dataSource) {
        this.dataSource = dataSource;
    }

    public Long getSupplier() {
        return supplier;
    }

    public void setSupplier(Long supplier) {
        this.supplier = supplier;
    }
}
